> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Connection Credentials by Connection ID

> Test the connection credentials for a given Connection.



## OpenAPI

````yaml get /provisioning/organizations/{organization_id}/connections/{connection_id}/test
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /provisioning/organizations/{organization_id}/connections/{connection_id}/test:
    get:
      tags:
        - provisioning
      summary: Test Connection Credentials by Connection ID
      description: Test the connection credentials for a given Connection.
      operationId: test_connection_by_id
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Organization Id
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Connection Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionTestRespModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API-Key: []
components:
  schemas:
    ConnectionTestRespModel:
      properties:
        is_valid:
          type: boolean
          title: Is Valid
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - is_valid
      title: ConnectionTest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````